export class MastodonStream {
    connection;
    chName;
    static shouldShare;
    static requireCredential;
    static requiredScopes = [];
    get user() {
        return this.connection.user;
    }
    get userProfile() {
        return this.connection.userProfile;
    }
    get following() {
        return this.connection.following;
    }
    get muting() {
        return this.connection.muting;
    }
    get renoteMuting() {
        return this.connection.renoteMuting;
    }
    get blocking() {
        return this.connection.blocking;
    }
    get hidden() {
        return this.connection.hidden;
    }
    get subscriber() {
        return this.connection.subscriber;
    }
    constructor(connection, name){
        this.chName = name;
        this.connection = connection;
    }
}
